org.modeshape.sequencer.teiid.lexicon

## Interface TransformLexicon.ModelId

- Enclosing interface:
    TransformLexicon

      public static interface TransformLexicon.ModelId

  Constants associated with the transformation namespace that identify XMI model identifiers.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ALIAS`
    `static String` | `ALIASED_OBJECT`
    `static String` | `ALIASES`
    `static String` | `DELETE_ALLOWED`
    `static String` | `DELETE_SQL`
    `static String` | `DELETE_SQL_DEFAULT`
    `static String` | `HELPER`
    `static String` | `HREF`
    `static String` | `INPUTS`
    `static String` | `INSERT_ALLOWED`
    `static String` | `INSERT_SQL`
    `static String` | `INSERT_SQL_DEFAULT`
    `static String` | `NESTED`
    `static String` | `OUTPUTS`
    `static String` | `SELECT_SQL`
    `static String` | `TARGET`
    `static String` | `TRANSFORMATION_CONTAINER`
    `static String` | `TRANSFORMATION_MAPPINGS`
    `static String` | `UPDATE_ALLOWED`
    `static String` | `UPDATE_SQL`
    `static String` | `UPDATE_SQL_DEFAULT`

- - ### Field Detail

    - #### ALIAS

          static final String ALIAS

      See Also:
        Constant Field Values

    - #### ALIASED_OBJECT

          static final String ALIASED_OBJECT

      See Also:
        Constant Field Values

    - #### ALIASES

          static final String ALIASES

      See Also:
        Constant Field Values

    - #### DELETE_ALLOWED

          static final String DELETE_ALLOWED

      See Also:
        Constant Field Values

    - #### DELETE_SQL

          static final String DELETE_SQL

      See Also:
        Constant Field Values

    - #### DELETE_SQL_DEFAULT

          static final String DELETE_SQL_DEFAULT

      See Also:
        Constant Field Values

    - #### HELPER

          static final String HELPER

      See Also:
        Constant Field Values

    - #### HREF

          static final String HREF

      See Also:
        Constant Field Values

    - #### INPUTS

          static final String INPUTS

      See Also:
        Constant Field Values

    - #### INSERT_ALLOWED

          static final String INSERT_ALLOWED

      See Also:
        Constant Field Values

    - #### INSERT_SQL

          static final String INSERT_SQL

      See Also:
        Constant Field Values

    - #### INSERT_SQL_DEFAULT

          static final String INSERT_SQL_DEFAULT

      See Also:
        Constant Field Values

    - #### NESTED

          static final String NESTED

      See Also:
        Constant Field Values

    - #### OUTPUTS

          static final String OUTPUTS

      See Also:
        Constant Field Values

    - #### SELECT_SQL

          static final String SELECT_SQL

      See Also:
        Constant Field Values

    - #### TARGET

          static final String TARGET

      See Also:
        Constant Field Values

    - #### TRANSFORMATION_CONTAINER

          static final String TRANSFORMATION_CONTAINER

      See Also:
        Constant Field Values

    - #### TRANSFORMATION_MAPPINGS

          static final String TRANSFORMATION_MAPPINGS

      See Also:
        Constant Field Values

    - #### UPDATE_ALLOWED

          static final String UPDATE_ALLOWED

      See Also:
        Constant Field Values

    - #### UPDATE_SQL

          static final String UPDATE_SQL

      See Also:
        Constant Field Values

    - #### UPDATE_SQL_DEFAULT

          static final String UPDATE_SQL_DEFAULT

      See Also:
        Constant Field Values

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.